FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202106291913.p0.git.fed32d9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202106291913.p0.git.fed32d9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fed32d9 OS_GIT_VERSION=4.8.0-202106291913.p0.git.fed32d9.assembly.stream-fed32d9 SOURCE_DATE_EPOCH=1615853017 SOURCE_GIT_COMMIT=fed32d92655d8656c3c8bac1bab305c57498357b SOURCE_GIT_TAG=fed32d92 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 

ADD . /usr/src/sriov-network-device-plugin

WORKDIR /usr/src/sriov-network-device-plugin

ENV HTTP_PROXY $http_proxy
ENV HTTPS_PROXY $https_proxy
RUN make clean && \
    make build

FROM openshift/ose-base:v4.8.0-202106152230.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202106291913.p0.git.fed32d9.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202106291913.p0.git.fed32d9.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=fed32d9 OS_GIT_VERSION=4.8.0-202106291913.p0.git.fed32d9.assembly.stream-fed32d9 SOURCE_DATE_EPOCH=1615853017 SOURCE_GIT_COMMIT=fed32d92655d8656c3c8bac1bab305c57498357b SOURCE_GIT_TAG=fed32d92 SOURCE_GIT_URL=https://github.com/openshift/sriov-network-device-plugin 
ENV INSTALL_PKGS "hwdata"
RUN yum install -y $INSTALL_PKGS && \
    rpm -V $INSTALL_PKGS && \
    yum clean all
COPY --from=builder /usr/src/sriov-network-device-plugin/build/sriovdp /usr/bin/
WORKDIR /


ADD ./images/entrypoint.sh /

ENTRYPOINT ["/entrypoint.sh"]

LABEL \
        io.k8s.display-name="SRIOV Network Device Plugin" \
        name="openshift/ose-sriov-network-device-plugin" \
        com.redhat.component="sriov-network-device-plugin-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202106291913.p0.git.fed32d9.assembly.stream" \
        io.openshift.build.commit.id="fed32d92655d8656c3c8bac1bab305c57498357b" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-device-plugin" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-device-plugin/commit/fed32d92655d8656c3c8bac1bab305c57498357b" \
        version="v4.8.0"

